#define _XTAL_FREQ 4000000
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/config/config.h"
#include "assets/MAX6950/MAX6950.h"
#include "assets/LM75/LM75.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  ANSEL = 0x00;  //Make PORT A digital I/O (NB: only necessary for PORT A)!
  LM75_init();
  MAX6950_init();
  
  while(1)
  {
    signed int tempr = (signed int) (LM75_read(TEMPERATURE_ADDRESS) * 10);
    MAX6950_displayNumber(tempr);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------